System.Web 2.0.0.0 System.Web.UI.WebControls.DataBoundControl System.Web.UI.INamingContainer

The class serves as the base class for a composite server control that binds to data from a data source. A composite server control is a control that is built from a combination of other server controls. Page developers do not use the class directly; instead, they use controls that derive from this class. Examples of composite data-bound controls include the , , and controls.

Classes that inherit from the control must override the method to create the control hierarchy. To access the child controls of a composite data-bound control, use the collection.

Represents the base class for a tabular data-bound control that is composed of other server controls.

- Constructor

  The class is an abstract class. You cannot create a new instance of this class.

  Initializes a new instance of the class.

  2.0.0.0
- Property
  System.Web.UI.ControlCollection To be added.

  A composite data-bound control is a combination of one or more server controls. Use the property to manage these child controls. You can add, remove, or iterate through the server controls in the collection.

  Gets a collection of the child controls within the composite data-bound control.

  2.0.0.0
- Method
  2.0.0.0
  System.Void

  The method is a helper method that is used by classes that derive from the class to create the control hierarchy for a composite data-bound control. This overload of the method creates the control hierarchy based on values from view state, rather than directly from the data source.

  Creates the control hierarchy that is used to render a composite data-bound control based on the values that are stored in view state.

- Method
  System.Int32 `` ``

  The method is a helper method that is used by classes that derive from the class to create the control hierarchy for a composite data-bound control. When extending the class, you must override the method to create your own control hierarchy. For more information on creating a composite control, see Developing Custom ASP.NET Server Controls.

  When overridden in an abstract class, creates the control hierarchy that is used to render the composite data-bound control based on the values from the specified data source.

  The number of items created by the .

  An that contains the values to bind to the control. true to indicate that the is called during data binding; otherwise, false. 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The method is a helper method that is used by classes that derive from the class to bind the data from the data source to the composite data-bound control.

  Binds the data from the data source to the composite data-bound control.

  An that contains the values to bind to the composite data-bound control.